Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class CMSPBEKey

    java.lang.Object
      org.bouncycastle.cms.CMSPBEKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, javax.crypto.interfaces.PBEKey, javax.crypto.SecretKey

Direct Known Subclasses:
  PKCS5Scheme2PBEKey, PKCS5Scheme2UTF8PBEKey

    public abstract class CMSPBEKey

extends java.lang.Object
implements javax.crypto.interfaces.PBEKey

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.crypto.interfaces.PBEKey
`serialVersionUID`

Constructor Summary
`CMSPBEKey(char[] password, byte[] salt, int iterationCount)`
`CMSPBEKey(char[] password, javax.crypto.spec.PBEParameterSpec pbeSpec)`

Method Summary
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`int` `getIterationCount()`
`protected static javax.crypto.spec.PBEParameterSpec` `getParamSpec(java.security.AlgorithmParameters algParams)`
`char[]` `getPassword()`
`byte[]` `getSalt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSPBEKey

    public CMSPBEKey(char[] password,
                     byte[] salt,
                     int iterationCount)

### CMSPBEKey

    public CMSPBEKey(char[] password,
                     javax.crypto.spec.PBEParameterSpec pbeSpec)

Method Detail

### getParamSpec

    protected static javax.crypto.spec.PBEParameterSpec getParamSpec(java.security.AlgorithmParameters algParams)
                                                              throws java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidAlgorithmParameterException`

### getPassword

    public char[] getPassword()

  Specified by:
    `getPassword` in interface `javax.crypto.interfaces.PBEKey`

### getSalt

    public byte[] getSalt()

  Specified by:
    `getSalt` in interface `javax.crypto.interfaces.PBEKey`

### getIterationCount

    public int getIterationCount()

  Specified by:
    `getIterationCount` in interface `javax.crypto.interfaces.PBEKey`

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

Bouncy Castle Cryptography Library 1.45